$title  DICE Data based on the revised version of the model as of August 1993

*       http://www.econ.yale.edu/~nordhaus/homepage/dicemodels.htm

$if not set t $set t 40
$if not defined t  SET  t Time periods /1*%t%/
$if not defined tc ALIAS (t,tc);

SETS    tfirst(t)       First period,
        tlast(t)        Last period;

SCALARS
        r               Rate of social time preference per year         /.03/,
        gl0             Growth rate of population per decade            /.223/,
        dlab            Decline rate of population growth per dec       /.195/,
        deltam          Removal rate carbon per decade                  /.0833/,
        ga0             Initial growth rate for technology per decade   /.15/,
        dela            Decline rate of technology per decade           /.11/,
        sig0            CO2-equiv-GWP ratio                             /.519/,
        gsigma          Growth of sigma per decade                      /-.1168/,
        dk              Depreciation rate on capital per year           /.10/,
        gamma           Capital elasticity in output                    /.25/,
        m0              CO2-equiv concent. 1965 billion tons carbon     /677/,
        tl0             Lower stratum temperature (C) 1965              /.10/,
        t0              Atmospheric temperature (C) 1965                /.2/,
        atret           Marginal atmospheric retention rate             /.64/,
        q0              1965 gross world output trillions 1989 US$      /8.519/,
        L0              1965 world population millions                  /3369/,
        k0              1965 value capital billions 1989 US dollars     /16.03/,
        c1              Coefficient for upper level                     /.226/,
        lam             Climate feedback factor                         /1.41/,
        c3              Coefficient trans upper to lower stratum        /.440/,
        c4              Coeff of transfer for lower level               /.02/,
        a0              Initial level of total factor productivity      /.00963/,
        a1              Damage coeff for co2 doubling (fraction GWP)    /.0133/,
        b1              Intercept control cost function                 /.0686/,
        b2              Exponent of control cost function               /2.887/,
        phik            Transversality coef. capital                    /140 /,
        phim            Transversality coef. carbon ($ per ton)         /-9/,
        phite           Transversality coef. temp. (B$ per degree C)    /-7000 /;

PARAMETERS
        L(tc)           Level of population and labor,
        al(tc)          Level of total factor productivity (TFP),
        sigma(tc)       Emissions-output ratio,
        rr(tc)          Discount factor,
        ga(tc)          Growth rate of TFP from 0 to T,
        forcoth(tc)     Exogenous forcings from other greenhouse gases,
        gl(tc)          Growth rate of labor 0 to T,
        gsig(tc)        Cumulative improvement of energy efficiency;

tfirst(t) = yes$(ord(t) eq 1);
tlast(t)= yes$(ord(t) eq card(t));
gl(tc) = (gl0/dlab)*(1-EXP(-dlab*(ORD(tc)-1)));
L(tc)=L0*EXP(gl(tc))*.9;
ga(tc)= (ga0/dela)*(1-EXP(-dela*(ORD(tc)-1)));
al(tc) =a0*EXP(ga(tc));
gsig(tc) = (gsigma/dela)*(1-EXP(-dela*(ORD(tc)-1)));
sigma(tc)=sig0*EXP(gsig(tc));
rr(tc) = (1+r)**(10*(1-ORD(tc)));
forcoth(tc) = 1.42;
forcoth(tc)$(ORD(tc) lt 15) = .2604+.125*ORD(tc)-.0034*ORD(tc)**2;
